﻿-- <GameTooltip>
if not GameTooltip.lines then GameTooltip.lines = {} end

function GameTooltip.AddSpacerLine(self,height,r,g,b,a)
	self:AddDoubleLine(" ", " ")
	local num = self:NumLines()
	local line = self.lines[num]
	if not line then
		line = self:CreateTexture(nil,"ARTWORK")
		line:SetPoint("LEFT",self:GetName().."TextLeft"..num,"LEFT")
		line:SetPoint("RIGHT",self:GetName().."TextRight"..num,"RIGHT")
		self.lines[num] = line
	end
	line:SetHeight(height or 1)
	line:SetTexture(r or NORMAL_FONT_COLOR.r, g or NORMAL_FONT_COLOR.g, b or NORMAL_FONT_COLOR.b, a or 1)
	line:Show()
end

GameTooltip:HookScript("OnTooltipCleared", function(self)
	for k, line in pairs(self.lines) do line:Hide() end
end)
-- </GameTooltip>

-- <ItemRefTooltip>
if not ItemRefTooltip.lines then ItemRefTooltip.lines = {} end

function ItemRefTooltip.AddSpacerLine(self,height,r,g,b,a)
	self:AddDoubleLine(" ", " ")
	local num = self:NumLines()
	local line = self.lines[num]
	if not line then
		line = self:CreateTexture(nil,"ARTWORK")
		line:SetPoint("LEFT",self:GetName().."TextLeft"..num,"LEFT")
		line:SetPoint("RIGHT",self:GetName().."TextRight"..num,"RIGHT",17,0)
		self.lines[num] = line
	end
	line:SetHeight(height or 1)
	line:SetTexture(r or NORMAL_FONT_COLOR.r, g or NORMAL_FONT_COLOR.g, b or NORMAL_FONT_COLOR.b, a or 1)
	line:Show()
end

ItemRefTooltip:HookScript("OnTooltipCleared", function(self)
	for k, line in pairs(self.lines) do line:Hide() end
end)
-- </ItemRefTooltip>